gltext(6x)

NAME
gltext - draws text spinning around in 3D

SYNOPSIS
gltext [--display host:display.screen] [--window] [--root] [--window-id number] [--visual visual] [--delay microseconds] [--text string] [--program command] [--wander] [--no-wander] [--spin axes] [--no-spin] [--front] [--no-front] [--wireframe] [--fps]

DESCRIPTION
The gltext program draws some text spinning around in 3D, using a font that appears to be made of solid tubes.

OPTIONS
gltext accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--text string
    The text to display. This may contain newlines, but it shouldn't be very long. The default is to display the machine name and OS version.

    This may also be a format string acceptable to date(1) and strftime(3), in which case, it will be updated once a second. So to make this program display a spinning digital clock, you could do this:

    	gltext -text "%A%n%d %b %Y%n%l:%M:%S %p"

    To include a literal `%', you must double it: `%%'.

    See the man page for strftime(3) for more details.

--program command
    The given program is run, and its output is displayed. If specified, this overrides --text. The output of this program will be repeatedely displayed, with new pages of text shifting in every few seconds. Lines should be relatively short. You might try:

    	-program 'xscreensaver-text --cols 20'

--maxlines
    Set the number of lines of text to display. By default, gltext will print 8 lines of text at a time. Use this option to increase or decrease that number. Be aware that gltext is designed to work with a fairly small amount of text, so setting this value too high might result in slow performance or strange behaviour stemming from buffer overflows. Increase at your own risk.

--mono
    Display the text in a monospace font. Default is a variable-width font.

--no-mono
    Display the text in a variable-width font. This is the default.

--wander
    Move the text around the screen. This is the default.

--no-wander
    Keep the text centered on the screen.

--wander-speed
    Sets the speed at which the text wanders around. Default is 0.02.

--spin
    Which axes around which the text should spin. The default is "XYZ", meaning rotate it freely in space. "--spin Z" would rotate the text in the plane of the screen while not rotating it into or out of the screen; etc.

--no-spin
    Don't spin the text at all: the same as --spin "".

--front
    When spinning, never spin all the way around or upside down: always face mostly forward so that the text is easily readable.

--no-front
    Allow spins to go all the way around or upside down. This is the default.

--wireframe
    Render in wireframe instead of solid.

--fps
    Display the current frame rate, CPU load, and polygon count.

--scale
    Sets the scale at which the text is rendered. Bigger values will result in bigger text; smaller values will result in smaller text. The default value is 0.01.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1) xscreensaver-text(6x)

COPYRIGHT
Copyright © 2001-2014 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>